Get withdrawal Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.lumetrade.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Lumetrade API MCP server": {
    "url": "https://docs.lumetrade.com/mcp"
  }
}

Close
GET /api/v1/withdrawals/{transactionId}

Returns a single withdrawal belonging to the authenticated API key owner.

Path parameters

  • transactionId string Required

    Withdrawal transaction id returned by the withdrawal list endpoint.

Responses

  • 200 application/json

    Withdrawal returned successfully

    Hide response attributes Show response attributes object
    • amount number

      Withdrawal amount.

    • fee number

      Withdrawal fee.

    • currency string

      Withdrawal currency code.

    • withdrawDetails object

      Raw withdrawal details stored as JSON object.

      Additional properties are allowed.

      Hide withdrawDetails attributes Show withdrawDetails attributes object
      • pojo boolean
      • int boolean
      • double boolean
      • bigDecimal boolean
      • bigInteger boolean
      • nodeType string

        Values are ARRAY, BINARY, BOOLEAN, MISSING, NULL, NUMBER, OBJECT, POJO, or STRING.

      • container boolean
      • binary boolean
      • missingNode boolean
      • floatingPointNumber boolean
      • integralNumber boolean
      • valueNode boolean
      • string boolean
      • boolean boolean
      • object boolean
      • textual boolean Deprecated
      • long boolean
      • short boolean
      • number boolean
      • array boolean
      • empty boolean
      • null boolean
      • float boolean
      • embeddedValue boolean
    • status string

      Withdrawal status.

      Values are PENDING, ACCEPTED, AWAITING_CONFIRMATION, PROCESSING, COMPLIANCE_PENDING, COMPLETED, FAILED, CANCELLED, or REVERSED.

    • transactionId string

      Transaction id for withdrawal lookups.

    • createdAt string(date-time)

      Withdrawal creation timestamp.

    • completedAt string(date-time)

      Completion timestamp.

    • isFiat boolean

      Whether this withdrawal used a fiat route.

  • 404 application/json

    Withdrawal was not found for the authenticated user

    Hide response attributes Show response attributes object
    • amount number

      Withdrawal amount.

    • fee number

      Withdrawal fee.

    • currency string

      Withdrawal currency code.

    • withdrawDetails object

      Raw withdrawal details stored as JSON object.

      Additional properties are allowed.

      Hide withdrawDetails attributes Show withdrawDetails attributes object
      • pojo boolean
      • int boolean
      • double boolean
      • bigDecimal boolean
      • bigInteger boolean
      • nodeType string

        Values are ARRAY, BINARY, BOOLEAN, MISSING, NULL, NUMBER, OBJECT, POJO, or STRING.

      • container boolean
      • binary boolean
      • missingNode boolean
      • floatingPointNumber boolean
      • integralNumber boolean
      • valueNode boolean
      • string boolean
      • boolean boolean
      • object boolean
      • textual boolean Deprecated
      • long boolean
      • short boolean
      • number boolean
      • array boolean
      • empty boolean
      • null boolean
      • float boolean
      • embeddedValue boolean
    • status string

      Withdrawal status.

      Values are PENDING, ACCEPTED, AWAITING_CONFIRMATION, PROCESSING, COMPLIANCE_PENDING, COMPLETED, FAILED, CANCELLED, or REVERSED.

    • transactionId string

      Transaction id for withdrawal lookups.

    • createdAt string(date-time)

      Withdrawal creation timestamp.

    • completedAt string(date-time)

      Completion timestamp.

    • isFiat boolean

      Whether this withdrawal used a fiat route.

GET /api/v1/withdrawals/{transactionId}
curl \
 --request GET 'https://api.lumetrade.com/api/v1/withdrawals/wd_5M8Q1P' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-API-SECRET: $API_KEY"
Response examples (200)
{
  "amount": 101,
  "fee": 1,
  "currency": "ZAR",
  "withdrawDetails": {
    "bankName": "FNB",
    "accountNumber": "1234567890"
  },
  "status": "COMPLETED",
  "transactionId": "wd_5M8Q1P",
  "createdAt": "2026-05-11T10:15:30Z",
  "completedAt": "2026-05-11T10:20:30",
  "isFiat": true
}
Response examples (404)
{
  "amount": 101,
  "fee": 1,
  "currency": "ZAR",
  "withdrawDetails": {
    "bankName": "FNB",
    "accountNumber": "1234567890"
  },
  "status": "COMPLETED",
  "transactionId": "wd_5M8Q1P",
  "createdAt": "2026-05-11T10:15:30Z",
  "completedAt": "2026-05-11T10:20:30",
  "isFiat": true
}